#!/bin/bash

echo "Starting LDAP server"
docker run --name ldapserver --rm -d -p 389:389 osixia/openldap:1.2.5

echo "Wait until it settled"
sleep 10

echo "Load LDAP server"
cat bs.ldif | docker exec -i ldapserver ldapadd -x -H ldap://localhost -D "cn=admin,dc=example,dc=org" -w admin


echo "Start database server"
docker run -d --rm -e MYSQL_ROOT_PASSWORD=test123 -p 3306:3306 --name mariadb --link ldapserver registry.gitlab.com/wolutator/mariadb-with-ldap-pam:TEST-0.2-10.4

echo "Wait until it settled"
sleep 60

echo "Load database server"
cat bs.sql | docker exec -i mariadb mysql -h 127.0.0.1 -u root --password=test123 mysql

